中危 autotrace_project autotrace 双重释放

CVE编号

CVE-2019-19005

利用情况

暂无

补丁情况

官方补丁

披露时间

2021-02-12
漏洞描述
AutoTrace是一套用于将位图文件(Bitmap)转换为矢量文件(Vector)的软件。

Autotrace 0.31.1版本中存在资源管理错误漏洞,该漏洞源于网络系统或产品对系统资源(如内存、磁盘空间、文件等)的管理不当。目前没有详细的漏洞细节提供。
解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:https://github.com/autotrace/autotrace/commits/master
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 autotrace_project autotrace 0.31.1 -
运行在以下环境
系统 fedora_34 autotrace * Up to
(excluding)
0.31.1-60.fc34
运行在以下环境
系统 fedora_34 autotrace-debuginfo * Up to
(excluding)
0.31.1-60.fc34
运行在以下环境
系统 fedora_34 autotrace-debugsource * Up to
(excluding)
0.31.1-60.fc34
运行在以下环境
系统 fedora_34 autotrace-devel * Up to
(excluding)
0.31.1-60.fc34
阿里云评分
6.3
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    全局影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    传输被破坏
  • 服务器危害
    DoS
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-415 双重释放
阿里云安全产品覆盖情况